Subject: Re: bug#1348: set-frame-width and set-frame-position seem buggy on at least MSWindows

From: grischka <[email-masked]>
Date: Tue, 16 Dec 2008 18:11:42 +0100

martin rudalics wrote:
> ...
> If we want that, we have to decide how to synchronize the handling of a
> confirmation message with the rest of system messages arriving around
> that time.  For this purpose, we have to determine what can be safely
> processed and what must be processed to ensure liveness while waiting
> for the confirmation.  (I suppose that's what Jason's "inter-thread
> synchronization" amounts to, though I don't understand the term "thread"
> in the present context - sorry.  But maybe that's what ATTACH_THREADS
> was about.)

Note that the suggested patch handles all that perfectly well.  Doing
anything in addition like what you mention above is unnecessary, in
fact likely contra-productive.

Instead I'd suggest to look into the X and GTK part of this issue
(frame-positioning/resizing that is) now.  On that platforms it is
still broken in several aspects and considerations are spent much more
usefully there.

Then after having fixed X and GTK you can still come back to Windows
and try to do better than the suggested 3-line patch.  Maybe you can,
who knows.